#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='20',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ 

de mens word geboren
de geest komt er op
de ziel word toegevoegd

men moet zichzelf beheersen om de geest niet te laten zondigen
men moet geloven om de ziel niet in de fout te laten gaan
na de dood is de geest niet meer te noemen, de ziel leeft ergens anders.

het boek wat de mens maakt (het dna) is een perfect boek, de wereld waar hij
in geboren word ook.

de religies hebben hun goden om de mens zonde en schuld te brengen, zij
hebben immers niets aan een onschuldig mens wat niets te verwijten valt.

de mens moet beschermt worden om niet een onecht leven hier op aarde te
hebben, ten dienste van geest of ziel. noch bijbel noch koran bieden deze
bescherming, zij bezigen zich met zonde of schuld. alleen een echt leven op
aarde, zonder te vreze voor de geest of te boeten voor de ziel, is waar het
omgaat.

leven hier voor een leven ergens anders (in de geest of in het hiernamaals)
is een belediging voor de schepping, een perfect boek verloren, versplit.

""",
    data_files=[('docs', ["docs/zoishet", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
